#!/usr/bin/env python
from launchpadlib.launchpad import Launchpad
import re
import os
import sys
import argparse

parser = argparse.ArgumentParser(description='Process some integers.')
parser.add_argument('--source_package', '-sc', dest='SRCPKG', action='store',
                    help='Source package name to be copied (eg. mythtv)')
parser.add_argument('--pocket', '-p', dest='PCK', action='store',
                    help='Pocket to copy the package from (eg. Release)')
parser.add_argument('--distro', '-d', dest='DST', action='store',
                    help='Distro to copy the package to (eg. precise)')
parser.add_argument('--ppa', dest='PPA', action='store',
                    help='PPA to copy the pacckage to (eg. 0.25)')
parser.add_argument('--yes', '-y', dest='YES', action='store_true',
                    help='Assume yes to all questions')

args = parser.parse_args()
#print args.accumulate(args.integers)

if args.SRCPKG == None:
  SRCPKGNAME = raw_input("What is the source package name that you want to copy? (eg. 'mythtv'): ")
else:
  SRCPKGNAME = args.SRCPKG

if args.PCK == None:
  POCKET = raw_input("What pocket do you want to copy the package from? (eg. 'Release'): ")
else:
  POCKET = args.PCK

if args.DST == None:
  DSTDISTRO = raw_input("What distro release do you want to copy the package to? (eg. 'precise'): ")
else:
  DSTDISTRO = args.DST

if args.PPA == None:
  PPAVERSION = raw_input("What PPA do you want to copy this package to? (eg. '0.25'): ")
else:
  PPAVERSION = args.PPA

if args.YES == False:
  GO = raw_input("Do you want to copy %s from %s to %s %s? (yes/no)" % (SRCPKGNAME, POCKET, PPAVERSION, DSTDISTRO))
  if not GO.lower() == 'yes':
    print "Exiting"
    sys.exit(0)

## Login to LP
launchpad = Launchpad.login_with('tgm4883', 'production',  credentials_file='/home/thomas/.lpcredentials')
#launchpad = Launchpad.login_with('pegasus+', 'production')

## Set source archive
ubuntu = launchpad.distributions['ubuntu']
archive = ubuntu.main_archive
series = 'https://api.launchpad.net/1.0/ubuntu/%s' % DSTDISTRO.lower()

## Set team
mbteam = launchpad.people['mythbuntu']

def copySource(SOURCENAME, DESTDISTRO, DESTPPA, SRCITEM, SRCARCHIVE, SRCVERSION):
    '''Copy the source package into the new repository'''
    regex='([0-9][0-9])'
    try:
        m = re.search(regex, DESTPPA)
        destination=m.group(0)
    except:
        destination=DESTPPA
    print "Moving %s %s to %s %s" % (SOURCENAME, SRCVERSION, DESTPPA, DESTDISTRO)
    dstppa = mbteam.getPPAByName(name=destination) ## Set destination PPA
    dstppa.syncSource(
        from_archive=SRCARCHIVE,
        include_binaries=False, ## Rebuild the binaries
        source_name=SOURCENAME,
        to_pocket="release",
        to_series=DESTDISTRO, ## This is the distro to copy it to
        version=SRCVERSION)  ## This is the version to copy from

for l in archive.getPublishedSources(exact_match=True, source_name=SRCPKGNAME.lower(), distro_series=series, pocket=POCKET.capitalize()):
    if not l.status == "Deleted":
        if not l.status == "Superseded":
            print l
            copySource(l.source_package_name, DSTDISTRO.lower(), PPAVERSION, l, archive, l.source_package_version)
