#!/bin/bash
#
# build_all_smithers.sh
# ~~~~~~~~~~~~~~~~~~~~~
# This is the wrapper script used by the smithers build server
# It's called from cron, and includes hard coded paths based on
# smithers enviroment.
#
# *** EDIT WITH EXTREME CARE, AS THIS IS SCRIPT IS USED IN PRODUCTION ***
#
# AUTHOR: Dave Walker (Daviey) <DaveWalker@ubuntu.com>
#
#
PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games
USER=root
HOMEPATH=/root

cd $HOMEPATH/mythbuntu-weekly-build
bzr pull

mv $HOMEPATH/daily_mythtv.txt $HOMEPATH/daily_mythtv_old.txt

./pending-build-checker.py

if [ $? -eq 0 ]
then
  ./build_mythtv.sh > $HOMEPATH/daily_mythtv.txt 2>&1
  ./generate_repos_database.py
else
  echo "Launchpad still processing previous upload." > $HOMEPATH/daily_mythtv.txt 2>&1
  DATESTAMP=`date --utc '+%H:%M %b %e, %Y'`
  echo "Exiting at $DATESTAMP UTC" >> $HOMEPATH/daily_mythtv.txt 2>&1
fi
