#!/usr/bin/env python

from launchpadlib.launchpad import Launchpad
import time
import os

## Login to LP
cachedir = os.path.join(os.environ['HOME'], '.launchpadlib', 'cache')
launchpad = Launchpad.login_with('tgm4883', 'production', cachedir)

## Set team
mbteam = launchpad.people['mythbuntu']

## Set PPA
PPANAME="0.28"
PPA = mbteam.getPPAByName(name=PPANAME)  ## Set PPA you want to search

## Set distro to delete items for
distro = 'precise' ## Set what release to delete from

#PPAPublishedSources = []
ToDelete = []

## Print starting timestamp
print time.strftime("\n***** Checking PPA for items that need to be deleted on %Y-%m-%d at %H:%M:%S *****\n")

def deleteSource(ITEM, LOC):
    print "Deleting item:", ITEM
    #ITEM.requestDeletion(removal_comment="Build no longer supported in this configuration!!!")

for l in PPA.getPublishedSources(source_name='mythtv'):
    if not l.status == "Deleted" and not l.status == "Superseded":
        print "Not Marked Deleted: "+str(l)
        #l.requestDeletion(removal_comment="Build no longer supported in this configuration!!!")
for item in PPA.getPublishedBinaries(binary_name='mythtv-frontend'):
        if not item.status == "Deleted" and not item.status == "Superseded":
            print "Not Marked Deleted: "+str(item)
            #item.requestDeletion(removal_comment="Build no longer supported in this configuration!!!")
#    pkg, version, tw, distro = l.display_name.split()

## Print finishing timestamp
print time.strftime("\n***** Finished listing published items for  on %Y-%m-%d at %H:%M:%S *****\n")


