#!/usr/bin/env python

from launchpadlib.launchpad import Launchpad
import time
import os

## Login to LP
cachedir = os.path.join(os.environ['HOME'], '.launchpadlib', 'cache')
launchpad = Launchpad.login_with('tgm4883', 'production', cachedir)

## Set team
mbteam = launchpad.people['mythbuntu']

## Set PPA
PPA = mbteam.getPPAByName(name="fixes-building")  ## Set PPA you want to delete builds from

## Set distro to delete items for
distro = 'trusty' ## Set what release to delete from

#PPAPublishedSources = []
ToDelete = []

## Print starting timestamp
print time.strftime("\n***** Checking PPA for items that need to be deleted on %Y-%m-%d at %H:%M:%S *****\n")

def deleteSource(ITEM, LOC):
    print "Deleting item:", ITEM
    ITEM.requestDeletion(removal_comment="Build no longer supported in this configuration!!!")

for l in PPA.getPublishedSources(source_name='mythtv', distro_series='https://api.launchpad.net/1.0/ubuntu/'+distro):
    if not l.status == "Deleted":
        print "Deleting: %s" % l
        l.requestDeletion(removal_comment="Build no longer supported in this configuration!!!")
    for item in PPA.getPublishedBinaries(binary_name='mythtv-frontend', version=l.source_package_version):
        if not item.status == "Deleted":
            print "Deleting: %s" % item
            item.requestDeletion(removal_comment="Build no longer supported in this configuration!!!")
    pkg, version, tw, distro = l.display_name.split()

## Print finishing timestamp
print time.strftime("\n***** Finished checking PPA for items that need to be deleted on %Y-%m-%d at %H:%M:%S *****\n")


