#!/bin/bash
#
# Apt Mirroring Script
# Used for mirroring a PPA repository
#
# By Dave Walker <davewalker@ubuntu.com>
# & Mario Limonciello <superm1@ubuntu.com>

# Requirements:
# apt-mirror, atp-ftparchive
#

create_mirror_list() {
#$1 is the mirror name
#$2 is the list of distros to add
    FULL_MIRROR="http://ppa.launchpad.net/mythbuntu/$1/ubuntu"
    cat >> $BASEPATH/mirrors.list <<EOF
clean $FULL_MIRROR
EOF
    for RELEASE in $2
    do
        cat >> $BASEPATH/mirrors.list <<EOF
deb-i386 $FULL_MIRROR $RELEASE main
deb-amd64 $FULL_MIRROR $RELEASE main
deb-src $FULL_MIRROR $RELEASE main
EOF
    done
}

#Common variables uses for all builds
. ./variables_common.sh

if [ -z $BASEPATH ]; then
    BASEPATH="$HOME/apt-mirror"
fi

#########################
#Get Started
#########################

# Setup env. fs
mkdir -p $BASEPATH/mirror $BASEPATH/skel $BASEPATH/var

# Create mirrors.list
echo
echo "Creating $BASEPATH/mirrors.list"
    cat > $BASEPATH/mirrors.list <<EOF
set base_path $BASEPATH
set nthreads     20
set tilde 0
EOF
create_mirror_list "0.$GIT_MAJOR_RELEASE_FIXES" "$DISTROS_FIXES"
create_mirror_list "0.$GIT_MAJOR_RELEASE_MASTER" "$DISTROS_MASTER"

# Update the mirror & clean
echo
echo "Resyncing Repo"
apt-mirror $BASEPATH/mirrors.list

#Clean up old archives
sh $BASEPATH/var/clean.sh
