#!/usr/bin/env python

from launchpadlib.launchpad import Launchpad
import os

cachedir = os.path.join(os.environ['HOME'], '.launchpadlib', 'cache')
launchpad = Launchpad.login_anonymously('Mythbuntu pending build checker', 'production', cachedir)

## Set team
mbteam = launchpad.people['mythbuntu']

## Set source PPA
BUILDERPPA = [mbteam.getPPAByName(name="fixes-building"), \
              mbteam.getPPAByName(name="master-building") ]

def getPendingCounts(PPA):
    NB = PPA.getBuildCounters(include_needsbuild=True)['pending']
    return NB

for ppa in BUILDERPPA:
    if getPendingCounts(ppa) > 0:
        exit(1)
        pass
